<?xml version="1.0" ?>
<?xml-stylesheet href="tad.xsl" type="text/xsl"?>

<!--
	Copyright (c) 2002-2003 by The Web Services-Interoperability Organization (WS-I) and 
	Certain of its Members. All Rights Reserved.

	Formatting for WS-I Profile Test Assertion Document used by the Testing Tools

	
	NOTICE

	The material contained herein is not a license, either expressly or impliedly, to any 
	intellectual property owned or controlled by any of the authors or developers of this 
	material or WS-I. The material contained herein is provided on an "AS IS" basis and to 
	the maximum extent permitted by applicable law, this material is provided AS IS AND WITH 
	ALL FAULTS, and the authors and developers of this material and WS-I hereby disclaim all 
	other warranties and conditions, either express, implied or statutory, including, but not 
	limited to, any (if any) implied warranties, duties or conditions of  merchantability, 
	of fitness for a particular purpose, of accuracy or completeness of responses, of results, 
	of workmanlike effort, of lack of viruses, and of lack of negligence. ALSO, THERE IS NO 
	WARRANTY OR CONDITION OF TITLE, QUIET ENJOYMENT, QUIET POSSESSION, CORRESPONDENCE TO 
	DESCRIPTION OR NON-INFRINGEMENT WITH REGARD TO THIS MATERIAL.
	
	IN NO EVENT WILL ANY AUTHOR OR DEVELOPER OF THIS MATERIAL OR WS-I BE LIABLE TO ANY OTHER 
	PARTY FOR THE COST OF PROCURING SUBSTITUTE GOODS OR SERVICES, LOST PROFITS, LOSS OF USE, 
	LOSS OF DATA, OR ANY INCIDENTAL, CONSEQUENTIAL, DIRECT, INDIRECT, OR SPECIAL DAMAGES 
	WHETHER UNDER CONTRACT, TORT, WARRANTY, OR OTHERWISE, ARISING IN ANY WAY OUT OF THIS OR 
	ANY OTHER AGREEMENT RELATING TO THIS MATERIAL, WHETHER OR NOT SUCH PARTY HAD ADVANCE 
	NOTICE OF THE POSSIBILITY OF SUCH DAMAGES.


	FEEDBACK

	The Web Services-Interoperability Organization (WS-I) would like to receive input, suggestions 
	and other feedback ("Feedback") on this work from a wide variety of industry participants to improve 
	its quality over time. 

	By sending email, or otherwise communicating with WS-I, you (on behalf of yourself if you are an individual, 
	and your company if you are providing Feedback on behalf of the company) will be deemed to have granted to WS-I, 
	the members of WS-I, and other parties that have access to your Feedback, a non-exclusive, non-transferable, 
	worldwide, perpetual, irrevocable, royalty-free license to use, disclose, copy, license, modify, sublicense or 
	otherwise distribute and exploit in any manner whatsoever the Feedback you provide regarding the work. You acknowledge 
	that you have no expectation of confidentiality with respect to any Feedback you provide. You represent and warrant 
	that you have rights to provide this Feedback, and if you are providing Feedback on behalf of a company, you represent 
	and warrant that you have the rights to provide Feedback on behalf of your company. You also acknowledge that WS-I is 
	not required to review, discuss, use, consider or in any way incorporate your Feedback into future versions of its work. 
	If WS-I does incorporate some or all of your Feedback in a future version of the work, it may, but is not obligated to 
	include your name (or, if you are identified as acting on behalf of your company, the name of your company) on a list of 
	contributors to the work. If the foregoing is not acceptable to you and any company on whose behalf you are acting, please 
	do not provide any Feedback.

	Feedback on this document should be directed to <<address>>@ws-i.org.
	

	WS-I License Information

	Use of this WS-I Material is governed by the WS-I Test License at <<link>>.  
	By downloading these files, you agree to the terms of this license.
 
-->


<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:wsi-common="http://www.ws-i.org/testing/2003/03/common/"
	xmlns:wsi-assertions="http://www.ws-i.org/testing/2003/03/assertions/">

<!--
<xsl:output method="html" indent="yes"/>
-->

<xsl:output method="xml" encoding="utf-8" indent="yes" 
  doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
  doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" 
  media-type="text/html" /> 

<!-- ADD: Need to determine how to handle multiple profile links. -->
<xsl:variable name="profileLink" select="/wsi-assertions:profileAssertions/wsi-assertions:profileList/wsi-assertions:profile/@location"/>

<xsl:variable name="enabledColor" select="'#7ca8da'"/>
<xsl:variable name="disabledColor" select="'red'"/>
<xsl:variable name="proposedColor" select="'#009999'"/>
<xsl:variable name="noteColor" select="'#0000cc'"/>

<xsl:template match="/">
<html>
	<link type="text/css" rel="stylesheet" href="http://www.ws-i.org/styles.css" /> 
	<head>
    <title>WS-I Profile Test Assertion Document</title>    
    <style type="text/css">
      BODY {
        border-top-style : none;
        border-left-style : none;
        border-right-style : none;
        border-bottom-style : none;
        font-size : 18px;
        font-family : Arial,sans-serif;
      }
      H2 {
        background-color : #336699;
        PADDING-BOTTOM: 1px;
        PADDING-LEFT: 4px;
        PADDING-RIGHT: 4px;
        PADDING-TOP: 1px;
        font-size: 22pt; 
        font-family : Arial,sans-serif;
        color : white;
      }
      H3 {
        background-color : #7ca8da;
        padding-left : 6px;
        padding-right : 6px;
        padding-top : 2px;
        padding-bottom : 2px;
        font-size : 18pt;
        font-family : Arial,sans-serif;
      }
      TABLE{
        font-size : 18px;
        font-family : Arial,sans-serif;
      }    
    </style>
	</head>

	<body>
    <a name="top"/>
    <img align="right" src="http://www.ws-i.org/images/WS-I-logo.gif"/>
    <span class="pageHeader">
    <p>WS-I Profile Test Assertion Document</p>
    </span>
		<xsl:apply-templates />
	</body>
</html>
</xsl:template>

<xsl:template match="wsi-common:description" >
</xsl:template>

<xsl:template match="wsi-assertions:version" >
</xsl:template>

<xsl:template match="wsi-assertions:profileAssertions" >
  <table>
  <tr><td>
  <b>Name:</b>
  </td><td>
  <xsl:value-of select="@name" />
  </td></tr>
  <tr><td>
  <b>Version:</b>
	</td><td>
  <xsl:value-of select="@version" />
	</td></tr>
  </table>
  <p><xsl:value-of select="wsi-common:description" /></p>
  <br/>
  <p><b>NOTE: </b>Test assertion headings that have 
  this <span style="background-color : {$disabledColor};border-width : 1px 1px 1px 1px;border-style : solid solid solid solid;border-color : black black black black;"><b>background color</b></span> are 
  disabled and will not be processed by the analyzer.
	<!--
  The test assertion headings with 
  this <span style="background-color : {$proposedColor};border-width : 1px 1px 1px 1px;border-style : solid solid solid solid;border-color : black black black black;">background color</span> are 
  are proposed additions to this document and will also not be processed by the analyzer.
  -->
  </p>  
  <!--
  <p><b>NOTE: The background color for a test assertion heading indicates its status.</b></p>
  <table cellpadding="4" bgcolor="#000000" cellspacing="1" valign="top">
  <tr bgcolor="#ffffff"><td>
  <b>Color</b>
  </td><td>
  <b>Status</b>
  </td></tr>
  <tr bgcolor="#ffffff"><td style="background-color: {$enabledColor}">
  <b>enabled</b>
  </td><td>
  Test assertion is enabled and will be processed by the analyzer.
  </td></tr>
  <tr bgcolor="#ffffff"><td style="background-color: {$disabledColor}">
  <b>disabled</b>
  </td><td>
  Test assertion is <b>not</b> enabled and will <b>not</b> be processed by the analyzer.
  </td></tr>
  <tr bgcolor="#ffffff"><td style="background-color: {$proposedColor}">
  <b>proposed</b>
  <td></td>
  Test assertion has been proposed but not approved.  It will <b>not</b> be processed by the analyzer.
  </td></tr>
  </table>
  <br/>
  -->
  <hr style="color : black;"/>
  <b>Profile Definitions:</b>
  <p/>
  <table cellpadding="4" bgcolor="#000000" cellspacing="1" valign="top">
  <tr bgcolor="#ffffff"><td>
  <b>ID</b>
  </td><td>
  <b>Name</b>
  </td><td>
  <b>Version</b>
  </td><td>
  <b>Revision</b>
  </td><td>
  <b>Location</b>
  </td></tr>
  <xsl:for-each select="wsi-assertions:profileList/wsi-assertions:profile">
    <tr bgcolor="#ffffff"><td>
    <xsl:variable name="profileID" select="@id"/>
    <a name="{$profileID}"><xsl:value-of select="$profileID"/></a>
    </td><td>
    <xsl:value-of select="@name"/>
    </td><td>
    <xsl:value-of select="@version"/>
    </td><td>
    <xsl:value-of select="@revision"/>
    </td><td>
    <xsl:variable name="location" select="@location"/>
    <a href="{$location}"><xsl:value-of select="$location"/></a>
    </td></tr>
  </xsl:for-each>
  </table>
  <p/>
  <hr style="color : black;"/>
  <b>Profile Assertion Artifacts:</b>
  <ul>
  <xsl:for-each select="wsi-assertions:artifact">
    <li>
    <xsl:variable name="linkName" select="@type"/>
    <a href="#{$linkName}"><xsl:value-of select="@type"/></a>
    </li>
  </xsl:for-each>
  </ul>
  <hr style="color : black;"/>
  <xsl:apply-templates select="wsi-assertions:artifact"/>
  <!-- REMOVE:
  <hr style="color : black;"/>
  -->
</xsl:template>

<xsl:template match="wsi-assertions:artifact" >
  <xsl:variable name="linkName" select="@type"/>
	<a name="#{$linkName}"><h2>Profile Artifact: <xsl:value-of select="@type"/></h2></a>
  <p><xsl:value-of select="wsi-common:description" /></p>
  <p><b>Specification Reference List:</b></p>
  <ul>
  <xsl:for-each select="wsi-assertions:specificationReferenceList/wsi-assertions:specification">
    <li>
    <xsl:variable name="specLink" select="@location"/>
	  <a href="{$specLink}"><xsl:value-of select="@name"/></a>
    </li>
  </xsl:for-each>
  </ul>
  <hr style="color : black;"/>
  <b>Test Assertions [as they appear in the document]:</b>
  <!--
  <ul>
  <xsl:for-each select="wsi-assertions:testAssertion">
    <li>
    <xsl:variable name="taID" select="@id"/>
    <a href="#{$taID}"><xsl:value-of select="@id"/></a>
    </li>
  </xsl:for-each>
  </ul>
  -->
  <p/>
  <table cellpadding="4" bgcolor="#000000" cellspacing="1" valign="top">
  <tr bgcolor="#ffffff"><td>
  <b>ID</b>
  </td><td>
  <b>Entry Type</b>
  </td><td>
  <b>Test Type</b>
  </td><td>
  <b>Status</b>
  </td></tr>
  <xsl:for-each select="wsi-assertions:testAssertion">
    <tr bgcolor="#ffffff"><td>
    <xsl:variable name="taID" select="@id"/>
    <a href="#{$taID}"><xsl:value-of select="@id"/></a>
    </td><td>
    <xsl:value-of select="@entryType"/>
    </td><td>
    <xsl:value-of select="@type"/>
    </td><td>
    <xsl:choose>
    <xsl:when test="@enabled='false'">
      <p style="color : {$disabledColor};"><b>disabled</b></p>    
    </xsl:when>
    <xsl:otherwise>
       <p>enabled</p>    
    </xsl:otherwise>
    </xsl:choose>
    <!--
    <xsl:choose>
    <xsl:when test="@status='disabled'">
      <p style="color : {$disabledColor};"><b><xsl:value-of select="@status"/></b></p>    
    </xsl:when>
    <xsl:when test="@status='proposed'">
      <p style="color : {$proposedColor}"><b><xsl:value-of select="@status"/></b></p>    
    </xsl:when>
    <xsl:when test="@status=''">
      <p>enabled</p>    
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="@status" />
    </xsl:otherwise>
    </xsl:choose>
    -->
    </td></tr>
  </xsl:for-each>
  </table>
  <p/>
  <b>Test Assertions [sorted by ID]:</b>
  <!--
  <ul>
  <xsl:for-each select="wsi-assertions:testAssertion">
    <li>
    <xsl:variable name="taID" select="@id"/>
    <a href="#{$taID}"><xsl:value-of select="@id"/></a>
    </li>
  </xsl:for-each>
  </ul>
  -->
  <br/>
  <br/>
  <table cellpadding="4" bgcolor="#000000" cellspacing="1" valign="top">
  <tr bgcolor="#ffffff"><td>
  <b>ID</b>
  </td><td>
  <b>Entry Type</b>
  </td><td>
  <b>Test Type</b>
  </td><td>
  <b>Status</b>
  </td></tr>
  <xsl:for-each select="wsi-assertions:testAssertion">
    <xsl:sort select="@id" data-type="text"/>
    <tr bgcolor="#ffffff"><td>
    <xsl:variable name="taID" select="@id"/>
    <a href="#{$taID}"><xsl:value-of select="@id"/></a>
    </td><td>
    <xsl:value-of select="@entryType"/>
    </td><td>
    <xsl:value-of select="@type"/>
    </td><td>
    <xsl:choose>
    <xsl:when test="@enabled='false'">
      <p style="color : {$disabledColor};"><b>disabled</b></p>    
    </xsl:when>
    <xsl:otherwise>
      <p>enabled</p>    
    </xsl:otherwise>
    </xsl:choose>
    </td></tr>
  </xsl:for-each>
  </table>
  <hr style="color : black;"/>
  <xsl:apply-templates select="wsi-assertions:testAssertion"/>
  <hr style="color : black;"/>
</xsl:template>

<xsl:template match="wsi-assertions:testAssertion" >
  <xsl:variable name="linkName" select="@id"/>
	<a name="#{$linkName}">
  <xsl:choose>
  <xsl:when test="@enabled='false'">
    <h3 style="background-color : {$disabledColor};">Test Assertion: <xsl:value-of select="@id"/></h3>    
  </xsl:when>
  <xsl:otherwise>
    <h3>Test Assertion: <xsl:value-of select="@id"/></h3>
  </xsl:otherwise>
  </xsl:choose>
  </a>
  <table width="100%" cellpadding="4" bgcolor="#000000" cellspacing="1" valign="top">
  <col span="1" width="20%"/>
  <tbody>
  <tr bgcolor="#ffffff"><td>
  <b>Entry Type</b>
  </td><td>
  <xsl:value-of select="@entryType" />
  </td></tr>
  <tr bgcolor="#ffffff"><td>
  <b>Test Type</b>
  </td><td>
  <xsl:value-of select="@type" />
  </td></tr>
  <tr bgcolor="#ffffff"><td>
  <b>Status</b>
  </td><td>
  <xsl:choose>
  <xsl:when test="@enabled='false'">
    <p style="color : {$disabledColor};"><b>disabled</b></p>    
  </xsl:when>
   <xsl:otherwise>
    <p>enabled</p>    
  </xsl:otherwise>
  </xsl:choose>
  </td></tr>
  <tr bgcolor="#ffffff"><td>
  <b>Context</b>
  </td><td>
  <xsl:value-of select="wsi-assertions:context" />
  </td></tr>
  <tr bgcolor="#ffffff"><td>
  <b>Assertion Description</b>
  </td><td>
    <xsl:choose>
    <xsl:when test="wsi-assertions:assertionDescription=''">
      <p style="color: {$noteColor};"><b>NOTE: Need to define assertion description.</b></p>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="wsi-assertions:assertionDescription"/>
    </xsl:otherwise>
    </xsl:choose>
  </td></tr>
  <tr bgcolor="#ffffff"><td>
  <b>Failure Message</b>
  </td><td>
    <xsl:choose>
      <xsl:when test="wsi-assertions:failureMessage=''">
        <p style="color: {$noteColor};"><b>NOTE: Need to define failure message.</b></p>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="wsi-assertions:failureMessage"/>
      </xsl:otherwise>
    </xsl:choose>
  </td></tr>
  <tr bgcolor="#ffffff"><td>
  <b>Failure Detail Description</b>
  </td><td>
    <xsl:choose>
      <xsl:when test="wsi-assertions:failureDetailDescription=''">
        <xsl:text>[Not specified]</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="wsi-assertions:failureDetailDescription"/>
      </xsl:otherwise>
    </xsl:choose>
  </td></tr>
  <xsl:if test="wsi-assertions:additionalEntryTypeList/wsi-assertions:logInput">
  <tr bgcolor="#ffffff"><td>
  <b>Addtional Entry Type:<br/>Log Input</b>
  </td><td>
    <xsl:choose>
    <xsl:when test="wsi-assertions:additionalEntryTypeList/wsi-assertions:logInput=''">
      <p style="color: {$noteColor};"><b>NOTE: Need to define log input.</b></p>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="wsi-assertions:additionalEntryTypeList/wsi-assertions:logInput"/>
    </xsl:otherwise>
    </xsl:choose>
  </td></tr>
  </xsl:if>
  <xsl:if test="wsi-assertions:additionalEntryTypeList/wsi-assertions:wsdlInput">
  <tr bgcolor="#ffffff"><td>
  <b>Additional Entry Type:<br/>WSDL Input</b>
  </td><td>
    <xsl:choose>
    <xsl:when test="wsi-assertions:additionalEntryTypeList/wsi-assertions:wsdlInput=''">
      <p style="color: {$noteColor};"><b>NOTE: Need to define WSDL input.</b></p>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="wsi-assertions:additionalEntryTypeList/wsi-assertions:wsdlInput"/>
    </xsl:otherwise>
    </xsl:choose>
  </td></tr>
  </xsl:if>
  <xsl:if test="wsi-assertions:additionalEntryTypeList/wsi-assertions:uddiInput">
  <tr bgcolor="#ffffff"><td>
  <b>Additional Entry Type:<br/>UDDI Input</b>
  </td><td>
    <xsl:choose>
      <xsl:when test="wsi-assertions:additionalEntryTypeList/wsi-assertions:uddiInput=''">
        <p style="color: {$noteColor};"><b>NOTE: Need to define UDDI input.</b></p>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="wsi-assertions:additionalEntryTypeList/wsi-assertions:uddiInput"/>
      </xsl:otherwise>
    </xsl:choose>
  </td></tr>
  </xsl:if>
  <tr bgcolor="#ffffff"><td>
  <b>Prereqs</b>
  </td><td>                                                             
    <xsl:choose>
    <xsl:when test="wsi-assertions:prereqList/wsi-assertions:testAssertionID">
      <xsl:for-each select="wsi-assertions:prereqList/wsi-assertions:testAssertionID">
        <a href="#{text()}"><xsl:value-of select="text()"/></a>
        <xsl:if test="position()!=last()">
          <xsl:text>, </xsl:text>
        </xsl:if>
      </xsl:for-each>
    </xsl:when>
    <xsl:otherwise>
      <xsl:text>[Not specified]</xsl:text>
    </xsl:otherwise>
    </xsl:choose>
	</td></tr>
  <tr bgcolor="#ffffff"><td>
  <b>Profile References</b>
  </td><td>                                                             
    <xsl:choose>
    <xsl:when test="wsi-assertions:referenceList/wsi-assertions:reference=''">
      <xsl:text>[Not specified]</xsl:text>
    </xsl:when>
    <xsl:otherwise>
        <xsl:for-each select="wsi-assertions:referenceList/wsi-assertions:reference">
        <a href="{$profileLink}#{text()}"><xsl:value-of select="text()"/></a>
        <xsl:if test="@refid!=''">
          (<a href="#{@refid}"><xsl:value-of select="@refid"/></a>)
        </xsl:if>
        <xsl:if test="position()!=last()">
          <xsl:text>, </xsl:text>
        </xsl:if>
		  </xsl:for-each>
    </xsl:otherwise>
    </xsl:choose>
	</td></tr>
  <tr bgcolor="#ffffff"><td>
  <b>Comments</b>
  </td><td>
    <xsl:choose>
    <xsl:when test="wsi-assertions:comments">
      <xsl:value-of select="wsi-assertions:comments"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:text>[Not specified]</xsl:text>
    </xsl:otherwise>
    </xsl:choose>
  </td></tr>
  </tbody>
  </table>
  <p><a href="#top">Return to top of document.</a></p>
  <p/>
</xsl:template>

</xsl:stylesheet>
